Skip to main content
GET
List purchases

Authorizations

Authorization
string
header
required

API key created in the organization settings.

Query Parameters

limit
integer
default:25

Maximum number of items per page.

Required range: 1 <= x <= 100
starting_after
string

ID of the last purchase on the previous page.

Pattern: ^pur_[A-Za-z0-9_-]+$
customer_id
string

Filters purchases by customer.

Pattern: ^cus_[A-Za-z0-9_-]+$
status
enum<string>

Filters by purchase payment status.

Available options:
any,
pending,
authorized,
paid,
abandoned,
refunded,
voided
platform
enum<string>

Filters by source platform.

Available options:
nuvemshop,
shopify,
woocommerce,
bling,
instagram,
popup
created_since
string<date-time>

Includes items created at or after this instant.

created_until
string<date-time>

Includes items created at or before this instant.

min_value_in_cents
integer

Minimum purchase amount in cents.

Required range: x >= 0
max_value_in_cents
integer

Maximum purchase amount in cents.

Required range: x >= 0

Response

Purchase page.

has_more
boolean
required

Indicates whether another page is available.

data
object[]
required